For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The ExpenseReport object
          • GET/expense-reports
          • POST/expense-reports
          • GET/expense-reports/{expense_report_id}/lines
          • GET/expense-reports/{id}
          • GET/expense-reports/lines/remote-field-classes
          • GET/expense-reports/meta/post
          • GET/expense-reports/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsExpense Reports

/expense-reports/{expense_report_id}/lines

Beta
GET
/accounting/v1/expense-reports/:expense_report_id/lines
GET
/api/accounting/v1/expense-reports/:expense_report_id/lines
$curl -G https://api.merge.dev/api/accounting/v1/expense-reports/expense_report_id/lines \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=account,employee,project,company,contact,tax_rate
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "tracking_categories": [
7 "cat-1",
8 "cat-2"
9 ],
10 "id": "1234",
11 "remote_id": "abcd-1234",
12 "created_at": "2021-09-15T00:00:00Z",
13 "modified_at": "2021-10-16T00:00:00Z",
14 "account": "acc-1234",
15 "description": "Client lunch meeting",
16 "expense_date": "2024-01-15T00:00:00Z",
17 "amount": 50,
18 "currency": "USD",
19 "exchange_rate": "1",
20 "is_billable": true,
21 "employee": "emp-1234",
22 "project": "proj-5678",
23 "company": "comp-1234",
24 "contact": "cont-5678",
25 "quantity": 1,
26 "unit_price": 50,
27 "non_reimbursable": true,
28 "tax_amount": 5,
29 "inclusive_of_tax": true,
30 "tax_rate": "tax-1234",
31 "remote_was_deleted": true,
32 "remote_fields": [
33 {
34 "remote_field_class": {
35 "id": "string",
36 "display_name": "string",
37 "remote_key_name": "string",
38 "description": "string",
39 "is_custom": true,
40 "is_common_model_field": true,
41 "is_required": true,
42 "field_type": "string",
43 "field_format": "string",
44 "field_choices": [
45 "string"
46 ],
47 "item_schema": {
48 "item_type": "string",
49 "item_format": "string",
50 "item_choices": [
51 "string"
52 ]
53 }
54 },
55 "value": "string"
56 }
57 ]
58 }
59 ]
60}

Returns a list of ExpenseReportLine objects that point to a ExpenseReport with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/expense-reports

Next

/expense-reports/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

expense_report_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.